IpAllowlist
Synchronizes the organization's browser IP allowlist
PUT
/
v1
/
ip_allowlist
Synchronizes the organization's browser IP allowlist
curl --request PUT \
--url https://api.rootly.com/v1/ip_allowlist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "ip_allowlists",
"attributes": {
"enabled": true,
"entries": [
{
"cidr": "<string>",
"label": "<string>"
}
]
},
"id": "<string>"
}
}
'import requests
url = "https://api.rootly.com/v1/ip_allowlist"
payload = { "data": {
"type": "ip_allowlists",
"attributes": {
"enabled": True,
"entries": [
{
"cidr": "<string>",
"label": "<string>"
}
]
},
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'ip_allowlists',
attributes: {enabled: true, entries: [{cidr: '<string>', label: '<string>'}]},
id: '<string>'
}
})
};
fetch('https://api.rootly.com/v1/ip_allowlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ip_allowlist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'ip_allowlists',
'attributes' => [
'enabled' => true,
'entries' => [
[
'cidr' => '<string>',
'label' => '<string>'
]
]
],
'id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ip_allowlist"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"ip_allowlists\",\n \"attributes\": {\n \"enabled\": true,\n \"entries\": [\n {\n \"cidr\": \"<string>\",\n \"label\": \"<string>\"\n }\n ]\n },\n \"id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.rootly.com/v1/ip_allowlist")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"ip_allowlists\",\n \"attributes\": {\n \"enabled\": true,\n \"entries\": [\n {\n \"cidr\": \"<string>\",\n \"label\": \"<string>\"\n }\n ]\n },\n \"id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ip_allowlist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"ip_allowlists\",\n \"attributes\": {\n \"enabled\": true,\n \"entries\": [\n {\n \"cidr\": \"<string>\",\n \"label\": \"<string>\"\n }\n ]\n },\n \"id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "ip_allowlists",
"attributes": {
"enabled": true,
"entries": [
{
"cidr": "<string>",
"label": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Body
application/vnd.api+json
Was this page helpful?
⌘I
Synchronizes the organization's browser IP allowlist
curl --request PUT \
--url https://api.rootly.com/v1/ip_allowlist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "ip_allowlists",
"attributes": {
"enabled": true,
"entries": [
{
"cidr": "<string>",
"label": "<string>"
}
]
},
"id": "<string>"
}
}
'import requests
url = "https://api.rootly.com/v1/ip_allowlist"
payload = { "data": {
"type": "ip_allowlists",
"attributes": {
"enabled": True,
"entries": [
{
"cidr": "<string>",
"label": "<string>"
}
]
},
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'ip_allowlists',
attributes: {enabled: true, entries: [{cidr: '<string>', label: '<string>'}]},
id: '<string>'
}
})
};
fetch('https://api.rootly.com/v1/ip_allowlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ip_allowlist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'ip_allowlists',
'attributes' => [
'enabled' => true,
'entries' => [
[
'cidr' => '<string>',
'label' => '<string>'
]
]
],
'id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ip_allowlist"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"ip_allowlists\",\n \"attributes\": {\n \"enabled\": true,\n \"entries\": [\n {\n \"cidr\": \"<string>\",\n \"label\": \"<string>\"\n }\n ]\n },\n \"id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.rootly.com/v1/ip_allowlist")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"ip_allowlists\",\n \"attributes\": {\n \"enabled\": true,\n \"entries\": [\n {\n \"cidr\": \"<string>\",\n \"label\": \"<string>\"\n }\n ]\n },\n \"id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ip_allowlist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"ip_allowlists\",\n \"attributes\": {\n \"enabled\": true,\n \"entries\": [\n {\n \"cidr\": \"<string>\",\n \"label\": \"<string>\"\n }\n ]\n },\n \"id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "ip_allowlists",
"attributes": {
"enabled": true,
"entries": [
{
"cidr": "<string>",
"label": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}